﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DuckModel
{
    class MallardDuck : DuckBehaviour
    {
        public override void Display()
        {
            Console.WriteLine("drew a Mallard duck");
        }

        MallardDuck()
        {
            base.SetFlyBehaviour(new FlyWithWings());
            base.SetQuackBehaviour(new Quack());
        }
    }
}
